%define name libpbd
%define version 1.1.0
%define release 2mdk

Summary: A general purpose programming library
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Source: %{name}-%{version}.tar.bz2
Url: http://www.quasimodo.org
Group: System/Libraries
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-buildroot

%description

This library implements a number of programming utilities used by Paul
Barton-Davis (hence the name).  It is used in some of his Open Source
software projects.  See http://www.quasimodo.org/

Note that there are no separarate user and developer packages for this
library.  It is in the plan that this split will happen eventually.
After that split takes place, this package will hold only the shared
user libraries, and a separate -devel package will hold the headers,
static libraries, &c.

%package devel
Summary: Development files from libpbd library
Group: Development/Other
Requires: libpbd

%description devel

This library implements a number of programming utilities used by Paul
Barton-Davis (hence the name).  It is used in some of his Open Source
software projects.  See http://www.quasimodo.org/
 
Note that there are no separarate user and developer packages for this
library.  It is in the plan that this split will happen eventually.
After that split takes place, this package will hold only the shared
user libraries, and a separate -devel package will hold the headers,
static libraries, &c.          


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n pbd

%build
chmod a+x autogen.sh
./autogen.sh 

export CC="kgcc"
export CXX="kg++"

./configure $ARCH_FLAGS --prefix=%_prefix

%make

%install
install -d -m 755 $RPM_BUILD_ROOT%{_prefix}/{{include,lib}/%{lib_name}}
make install INSTALL="%(which install) -p" prefix=$RPM_BUILD_ROOT%{_prefix}


%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README AUTHORS NEWS COPYING*
%{_libdir}/libpbd.so*
%{_libdir}/libpbd.la
%{_bindir}/pbd-config
%{_datadir}/aclocal/pbd.m4
%{_datadir}/aclocal/unique_args.m4

%files devel
%defattr (-,root,root)
%{_includedir}/pbd/*
%{_libdir}/libpbd.a

%changelog
* Fri Jan 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.0-2mdk
- use egcs

* Fri Oct 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1.0-1mdk
- used srpm from rufus t firefly :
	Tue Oct 17 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
	v1.1.0-1mdk
 
* Wed Oct 11 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
 
- v1.0.2-0.20001010mdk
  - moved pbd-config to devel package
  - implemented prefix     

* Mon Sep 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-2mdk
- macros
- BM

* Tue Jul 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-1mdk
- new in contribs
- devel package
